complexType "SettlementPeriods"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 6 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 6 elements
Used: | at 3 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | duration?, applicableDay[0..7], startTime?, endTime?, (excludeHolidays | includeHolidays)?
</...>

Content Model Elements (6):

  applicableDay (defined in SettlementPeriods complexType), duration, endTime (defined in SettlementPeriods complexType), | excludeHolidays, includeHolidays, startTime (defined in SettlementPeriods complexType)

All Direct / Indirect Based Elements (3):

  settlementPeriods (defined in CommodityPricingDates complexType),
  settlementPeriods (defined in ElectricityDeliveryPeriods complexType),
  settlementPeriods (in electricityPhysicalLeg)

Known Usage Locations

- As direct type of elements (3):
  settlementPeriods (defined in CommodityPricingDates complexType),
  settlementPeriods (defined in ElectricityDeliveryPeriods complexType),
  settlementPeriods (in electricityPhysicalLeg)

Annotation
Specifies a set of Settlement Periods associated with an Electricity Transaction for delivery on an Applicable Day or for a series of Applicable Days.
XML Source (w/o annotations (7); see within schema source)

<xsd:complexType name="SettlementPeriods"> <xsd:sequence> <xsd:element minOccurs="0" name="duration" type="SettlementPeriodDurationEnum"/> <xsd:element maxOccurs="7" minOccurs="0" name="applicableDay" type="DayOfWeekEnum"/> <xsd:sequence> <xsd:element minOccurs="0" name="startTime" type="OffsetPrevailingTime"/> <xsd:element minOccurs="0" name="endTime" type="OffsetPrevailingTime"/> </xsd:sequence> <xsd:choice minOccurs="0"> <xsd:element name="excludeHolidays" type="CommodityBusinessCalendar"/> <xsd:element name="includeHolidays" type="CommodityBusinessCalendar"/> </xsd:choice> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 6/6)
applicableDay

  Type: | DayOfWeekEnum, simple content

  Specifies the Applicable Day with respect to a range of Settlement Periods. This element can only be omitted if includesHolidays is present, in which case this range of Settlement Periods will apply to days that are holidays only.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "MON" | - | Monday See: http://www.FpML.org
  "TUE" | - | Tuesday See: http://www.FpML.org
  "WED" | - | Wednesday See: http://www.FpML.org
  "THU" | - | Thursday See: http://www.FpML.org
  "FRI" | - | Friday See: http://www.FpML.org
  "SAT" | - | Saturday See: http://www.FpML.org
  "SUN" | - | Sunday See: http://www.FpML.org

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="7" minOccurs="0" name="applicableDay" type="DayOfWeekEnum"/>

duration

  Type: | SettlementPeriodDurationEnum, simple content

  The length of each Settlement Period.
  Simple Content

  enumeration of xsd:token

  Enumeration: |
  "2Hours" | - | Two-hourly duration applies.
  "1Hour" | - | Hourly duration applies.
  "30Minutes" | - | Half-hourly duration applies.
  "15Minutes" | - | Quarter-hourly duration applies.

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="duration" type="SettlementPeriodDurationEnum"/>

endTime

  Type: | OffsetPrevailingTime, complex content

  Specifies the hour-ending End Time with respect to a range of Settlement Periods. If neither startTime nor endTime contain an offset element and endTime is earlier than startTime, this indicates that the time period "wraps around" midnight. For example, if startTime is 23:00 and endTime is 01:00 then Settlement Periods apply from 22:00 to 23:00 and 23:00 to 00:00 and 00:00 to 01:00 on each included day.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="endTime" type="OffsetPrevailingTime"/>

excludeHolidays

  Type: | CommodityBusinessCalendar, simple content

  Indicates that days that are holidays according to the referenced commodity business calendar should be excluded from this range of Settlement Periods, even if such day is an applicable day.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="excludeHolidays" type="CommodityBusinessCalendar"/>

includeHolidays

  Type: | CommodityBusinessCalendar, simple content

  Indicates that days that are holidays according to the referenced commodity business calendar should be included in this range of Settlement Periods, even if such day is not an applicable day.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="includeHolidays" type="CommodityBusinessCalendar"/>

startTime

  Type: | OffsetPrevailingTime, complex content

  Specifies the hour-ending Start Time with respect to a range of Settlement Periods.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="startTime" type="OffsetPrevailingTime"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.